Name:           glib-java
Version:        0.4.2
Release:        %mkrel 1
Epoch:          0
Summary:        Base Library for the Java-GNOME libraries 
URL:            http://java-gnome.sourceforge.net
Source0:        http://fr2.rpmfind.net/linux/gnome.org/sources/glib-java/0.4/glib-java-%{version}.tar.bz2
License:        LGPL
Group:          Development/Java
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
Requires:       glib2 >= 2.12.4
BuildRequires:  docbook-utils
BuildRequires:  gcc-java >= 0:4.0.1
BuildRequires:  glib2-devel >= 0:2.12.4
BuildRequires:  java-devel >= 0:1.4.2
BuildRequires:  java-gcj-compat-devel
BuildRequires:  jpackage-utils
BuildRequires:  pkgconfig

%description 
Glib-java is a base framework for the Java-GNOME libraries. Allowing the use of
GNOME through Java.

%package        devel
Summary:        Compressed Java source files for %{name}
Group:          Development/Java
Requires:       %{name} = %{version}-%{release}

%description    devel
Compressed Java source for %{name}. This is useful if you are developing
applications with IDEs like Eclipse.



%prep
%setup -q
%{__aclocal} -I macros --force
%{__autoconf} --force
%{__automake} --copy --force-missing
%{__libtoolize} --copy --force

%build
export CLASSPATH=
export JAVA=%{java}
export JAVAC=%{javac}
export JAR=%{jar}
export JAVADOC=%{javadoc}
%configure2_5x --with-jardir=%{_javadir}
%make

# pack up the java source
jarversion=$(echo -n %{version} | cut -d . -f -2)
jarname=$(echo -n %{name} | cut -d - -f 1 | sed "s/^lib//")
zipfile=$PWD/$jarname$jarversion-src-%{version}.zip
pushd src/java
zip -9 -r $zipfile $(find -name \*.java)
popd

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std

# install the src.zip and make a sym link
jarversion=$(echo -n %{version} | cut -d . -f -2)
jarname=$(echo -n %{name} | cut -d - -f 1 | sed "s/^lib//")
install -m 644 $jarname$jarversion-src-%{version}.zip $RPM_BUILD_ROOT%{_javadir}/
pushd $RPM_BUILD_ROOT%{_javadir}
ln -sf $jarname$jarversion-src-%{version}.zip $jarname$jarversion-src.zip
popd

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig 
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc doc/api AUTHORS ChangeLog COPYING INSTALL NEWS README 
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/*
%{_libdir}/*so*
%{_libdir}/*la
%{_libdir}/pkgconfig/*
%{_javadir}/*.jar
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*

%files devel
%defattr(-,root,root)
%{_javadir}/*.zip


%changelog
* Sun Jan 07 2007 David Walluck <walluck@mandriva.org> 0.4.2-1mdv2007.0
+ Revision: 105151
- 0.4.2

* Wed Dec 13 2006 David Walluck <walluck@mandriva.org> 0:0.4.1-1mdv2007.1
+ Revision: 96085
- 0.4.1

* Sat Nov 04 2006 David Walluck <walluck@mandriva.org> 0:0.4.0-1mdv2007.1
+ Revision: 76475
- 0.4.0

* Wed Oct 18 2006 David Walluck <walluck@mandriva.org> 0:0.3.2-2mdv2007.0
+ Revision: 66113
- spec cleanup
- 0.3.2
- Import glib-java



* Tue Aug 08 2006 David Walluck <walluck@mandriva.org> 0:0.2.6-2mdv2007.0
- fix libtool

* Mon Aug 07 2006 David Walluck <walluck@mandriva.org> 0:0.2.6-1mdv2007.0
- 0.2.6

* Sun Jun 04 2006 David Walluck <walluck@mandriva.org> 0:0.2.5-1mdv2007.0
- 0.2.5

* Thu May 25 2006 David Walluck <walluck@mandriva.org> 0:0.2.4-2mdv2007.0
- rebuild for libgcj.so.7
- %%configure2_5x

* Tue Apr 18 2006 David Walluck <walluck@mandriva.org> 0:0.2.4-1mdk
- 0.2.4
- set empty CLASSPATH

* Wed Feb 08 2006 David Walluck <walluck@mandriva.org> 0:0.2.3-1mdk
- 0.2.3

* Mon Jan 16 2006 David Walluck <walluck@mandriva.org> 0:0.2.2-2mdk
- explicity require java-gcj-compat-devel as workaround
- export vars before %%configure

* Wed Jan 11 2006 David Walluck <walluck@mandriva.org> 0:0.2.2-1mdk
- 0.2.2

* Fri Oct 28 2005 David Walluck <walluck@mandriva.org> 0.2.1-1mdk
- 0.2.1

* Sat Oct 22 2005 David Walluck <walluck@mandriva.org> 0.2.0-2mdk
- fix comment

* Sat Oct 22 2005 David Walluck <walluck@mandriva.org> 0.2.0-1mdk
- release
